# Makefile for ELEC278 List examples
# Meant to be used with MSVC nmake command

# Must define THISDIR and CMDS (list of commands) before including makeincl
THISDIR	=	Lists
CMDS	=	LNKLST0.exe LNKLST1.exe LNKLSTDBL.exe \
			LNKLSTGENERIC.exe \
			Polynomials.exe SLL2DLL.exe

!INCLUDE "..\makeincl"

LNKLST0.exe:		LNKLST0.c

LNKLST1.exe:		LNKLST1.c

LNKLSTDBL.exe:		LNKLSTDBL.c

LNKLSTGENERIC.exe:	LNKLSTGENERIC.c

Polynomials.exe:	Polynomials.obj
		cl /nologo /FePolynomials /FmPolynomials Polynomials.obj

Polynomials.obj:	Polynomials.c
		cl /nologo /WX /DTESTPOLYNOMIAL Polynomials.c

SLL2DLL.exe:		SLL2DLL.obj
		cl /nologo /FeSLL2DLL SLL2DLL.obj

SLL2DLL.obj:		SLL2DLL.c
		cl /nologo /WX /DTEST SLL2DLL.c

SLLIST.exe:		SLLIST.obj
		cl /nologo /FeSLLIST SLLIST.obj

SLLIST.obj:		SLLIST.cpp
		cl /nologo /WX /DTESTING SLLIST.cpp

##### Rules for test components
tstpower.exe:	tstpower.obj
		cl /nologo /Fetstpower tstpower.obj

tstpower.obj:	Polynomials.c
		cl /nologo /Fotstpower /WX /DTESTPOWER Polynomials.c
